import { AxForm } from '../../../forms/ax-form';
import { FormObject } from '../form-object';
import { AxSection } from './ax-section';
export declare class DataDetails {
    id: number;
    formObject: FormObject;
    form: AxForm;
    sections: Array<AxSection>;
    constructor(value?: DataDetails);
    createNewValue(): void;
    /**function to create text value with existing value
    *
    *@param value
    *
    */
    createValue(value?: any): void;
}
